﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;

namespace ScheduleSample.Models
{
    public class ScheduleData
    {
        public List<AppointmentData> GetScheduleData()
        {
            List<AppointmentData> appData = new List<AppointmentData>();
            appData.Add(new AppointmentData
            {
                Id = 1,
                Subject = "Explosion of Betelgeuse Star",
                Location = "Space Centre USA",
                StartTime = new DateTime(2019, 1, 7, 9, 30, 0),
                EndTime = new DateTime(2019, 1, 7, 11, 0, 0),
                CategoryColor = "#1aaa55",
                EventType = "Maintancence",
                Status ="Pending"

            });
            appData.Add(new AppointmentData
            {
                Id = 2,
                Subject = "BirthDay",
                Location = "Newyork City",
                StartTime = new DateTime(2019, 1, 9, 13, 0, 0),
                EndTime = new DateTime(2019, 1, 9, 15, 0, 0),
                CategoryColor = "#357cd2",
                EventType = "FamilyEvent",
                Status = "Inprogress"
            });
            
            return appData;
        }

    
        public class AppointmentData
        {
            public int Id { get; set; }
            public string Subject { get; set; }
            public string Location { get; set; }
            public DateTime StartTime { get; set; }
            public DateTime EndTime { get; set; }
            public string CategoryColor { get; set; }
            public string EventType { get; set; }
            public string Status { get; set; }
        }

    }
}
